//
//  JJOuterBorderSettings.swift
//  JJTextFile
//
//  Created by 刘俊杰 on 2017/10/16.
//  Copyright © 2017年 junjie.liu. All rights reserved.
//
/*
 UITextField边框设置
 */

import UIKit

protocol JJOuterBorderSettings {
    var borderIsHiden: Bool? {get set}
}

extension JJOuterBorderSettings {
    func borderIsHidens(borderIsHiden:Bool, textField:UITextField) {
        guard borderIsHiden == false else {
            textField.borderStyle = .none
            return
        }
        textField.borderStyle = .roundedRect
    }
}
