//
//  JJTextFieldViewController.swift
//  JJTextFile
//
//  Created by 刘俊杰 on 2017/10/17.
//  Copyright © 2017年 junjie.liu. All rights reserved.
//

import UIKit

class JJTextFieldViewController: UIViewController, JJTextFieldRegular {
    
    
    
    var typeID : NSString?
    let phoneTextField = JJTextField.init(frame: CGRect(x: 30, y: 100, width: 300, height: 40))
    
    override func viewDidLoad() {
        super.viewDidLoad()
        view.backgroundColor = UIColor.white
        let btn = UIButton().loadBtn()
        btn.center = self.view.center
        btn.addTarget(self, action: #selector(action), for: .touchUpInside)
        view.addSubview(btn)
        if typeID == "0" {
            phoneTextField.type = .phone
        }else if typeID == "1" {
            phoneTextField.type = .IDCard
        } else if typeID == "2" {
            phoneTextField.type = .bankCard
        }else if typeID == "3" {
            phoneTextField.type = .password
        }
        view.addSubview(phoneTextField)
    }
    
    @objc func action() {
        if typeID == "0" {
            self.phone()
        }else if typeID == "1" {
            self.idCard()
        } else if typeID == "2" {
            print("暂时无判断")
        }else if typeID == "3" {
            self.password()
        }
    }
    
    //手机号判定
    func phone() {
        let bool = self.jj_checkPhone(phoneTextField.textOverridee())
        if bool {
            print(phoneTextField.textOverridee())
        }else{
            print("非手机号")
        }
    }
    
    //密码
    func password() {
        let bool = self.jj_checkPassworld(phoneTextField.textOverridee())
        if bool {
            print(phoneTextField.textOverridee())
        }else{
            print("非密码格式")
        }
    }
    
    //身份证
    func idCard() {
        let bool = self.jj_checkPassworld(phoneTextField.textOverridee())
        if bool {
            print(phoneTextField.textOverridee())
        }else{
            print("非身份证")
        }
    }
    
}
